# Wagtail 6.1 release notes - IN DEVELOPMENT

_Unreleased_

```{contents}
---
local:
depth: 1
---
```

## What's new

### Other features

 * Refine wording of page & collection privacy using password is a shared password and should not be used for secure content (Rohit Sharma, Jake Howard)
 * Add RelatedObjectsColumn to the table UI framework (Matt Westcott)
 * Reduce memory usage when rebuilding search indexes (Jake Howard)
 * Support creating images in .ico format (Jake Howard)
 * Add the ability to disable the usage of a shared password for enhanced security for the [private pages](private_pages) and [collections (documents)](private_collections) feature (Salvo Polizzi, Jake Howard)
 * Add system checks to ensure that `WAGTAIL_DATE_FORMAT`, `WAGTAIL_DATETIME_FORMAT`, `WAGTAIL_TIME_FORMAT` are [correctly configured](wagtail_date_time_formats) (Rohit Sharma, Coen van der Kamp)


### Bug fixes

 * Fix typo in `__str__` for MySQL search index (Jake Howard)
 * Ensure that unit tests correctly check for migrations in all core Wagtail apps (Matt Westcott)
 * Correctly handle `date` objects on `human_readable_date` template tag (Jhonatan Lopes)
 * Ensure re-ordering buttons work correctly when using a nested InlinePanel (Adrien Hamraoui)
 * Resolve inconsistent use of model `verbose_name` in group edit view when listing custom permissions (Neeraj Yetheendran, Omkar Jadhav)


### Documentation

 * Add contributing development documentation on how to work with a fork of Wagtail (Nix Asteri, Dan Braghis)
 * Make sure the settings panel is listed in tabbed interface examples (Tibor Leupold)
 * Update content and page names to their US spelling instead of UK spelling (Victoria Poromon)
 * Update broken and incorrect links throughout the documentation (EK303)


### Maintenance

 * Move RichText HTML whitelist parser to use the faster, built in `html.parser` (Jake Howard)
 * Remove duplicate 'path' in default_exclude_fields_in_copy (Ramchandra Shahi Thakuri)
 * Update unit tests to always use the faster, built in `html.parser` & remove `html5lib` dependency (Jake Howard)
 * Adjust Eslint rules for TypeScript files (Karthik Ayangar)
 * Rename the React `Button` that only renders links (a element) to `Link` and remove unused prop & behaviors that was non-compliant for aria role usage (Advik Kabra)
 * Set up an `wagtail.models.AbstractWorkflow` model to support future customisations around workflows (Hossein)
 * Improve `classnames` template tag to handle nested lists of strings, use template tag for admin `body` element (LB (Ben) Johnston)
 * Merge `UploadedDocument` and `UploadedImage` into new `UploadedFile` model for easier shared code usage (Advik Kabra, Karl Hobley)
 * Optimize queries in dashboard panels (Sage Abdullah)
 * Optimize queries in group create/edit view (Sage Abdullah)


## Upgrade considerations
